import java.awt.Graphics;

public class c10_timeseries extends java.applet.Applet {
  static final int left = 20;
  static final int h = 300;
  static final int w = 3*h/2;
  static final int dw = 5;
  static final int m = 1;
  static final int mode = 1;
  static final double a = 4;
  static final double x0 = 0.3;

  public void paint(Graphics g)
  {
    LineTo lt = new LineTo(g);
    float xn = (float)x0;
    double dxn = x0;
    lt.drawLine(left, left, left, left+h);
    lt.drawLine(left, left+h, left+w, left+h);
    if (mode == 0) {
      lt.moveTo(left, (int)(left+(1-xn)*h));
    } else {
      lt.moveTo(left, left+h);
    }
    for (int i = 0; i < w/dw; i++) {
      for (int k = 0; k < m; k++) {
        xn = (float)a*xn*(1-xn);
      }
      if (mode == 0) {
        lt.lineTo((int)(left+i*dw), (int)(left+(1-xn)*h));
      } else {
        for (int k = 0; k < m; k++) {
          dxn = a*dxn*(1-dxn);
        }
        lt.lineTo((int)(left+i*dw), (int)(left+(1-Math.abs(xn-dxn))*h));
      }
    }
  }
}
